GET /v1/runs for per-run costs.
Wallet
List Activities
List wallet transactions.
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
List wallet transactions.
GET /v1/wallet/activities
GET /v1/runs for per-run costs.
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <api-key> |
x-workspace-id | No | Only needed with OAuth/JWT tokens without an org context |
| Parameter | Type | Default | Description |
|---|---|---|---|
limit | number | 25 | Maximum items (1–25) |
cursor | string | — | Pagination cursor |
| Field | Type | Description |
|---|---|---|
items | array | Activity items |
items[].id | string | Activity ID |
items[].type | string | undefined | Activity type (e.g. "Top-Up") |
items[].amount | number | Amount in dollars (non-negative float) |
items[].currency | string | ISO currency code |
items[].expiredAt | string | undefined | When the activity expires (if applicable) |
items[].createdAt | string | undefined | When the activity was created |
cursor | string | null | Next-page cursor. null if last page |
{
"items": [
{
"id": "act_01HXYZ...",
"type": "Top-Up",
"amount": 10,
"currency": "USD",
"createdAt": "2026-03-28T10:30:15.000Z"
}
],
"cursor": null
}